-- Register.lua by rafftnix
-- author: rafftnix
-- Special thanks goes to sven777b. 
-- History FS 11:
--          v1.0: initial Version (November 2011)
--			v1.1: specs are added now by function loadMap(). Tanks to Stegei(GIANTS)! (January 2012)
--
-- History FS 13:
--			v1.0: convert to FS 13 (November 2012)
--
-- Änderungen am Skript nur mit meiner Zustimmung!
-- Modification only with my permission!
--
-- Edit for Aloe Console: Stefan Maurus, 16.08.2013

AloeConsole_Register = {}

SpecializationUtil.registerSpecialization("AloeConsole", "AloeConsole", g_currentModDirectory .. "sources/specializations/AloeConsole.lua");

function AloeConsole_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if SpecializationUtil.hasSpecialization(Hirable, v.specializations) and SpecializationUtil.hasSpecialization(Steerable, v.specializations) and not SpecializationUtil.hasSpecialization(AloeConsole, v.specializations) then 
				table.insert(v.specializations, SpecializationUtil.getSpecialization("AloeConsole"));
			end;
		end;
	end;
end;

function AloeConsole_Register:deleteMap()
end;

function AloeConsole_Register:keyEvent(unicode, sym, modifier, isDown)
end;

function AloeConsole_Register:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AloeConsole_Register:update(dt)
end;

function AloeConsole_Register:draw()
end;

addModEventListener(AloeConsole_Register);